# ArtTracker

ArtTracker is an efficient and easy-to-use software application designed to track and identify people using the YOLOv8 algorithm. It utilizes ZeroMQ (Zmq) for seamless communication between publishers and subscribers, ensuring reliable transmission of tracked person data.

## Key Features

- **Person Tracking**: ArtTracker implements the YOLOv8 algorithm to accurately detect and track individuals in various scenarios.

- **ZeroMQ Integration**: It leverages the power of ZeroMQ to establish efficient communication channels, enabling seamless data transmission between publishers and subscribers.

- **ID and Bounding Box Tracking**: ArtTracker assigns unique IDs to each tracked person and provides their corresponding bounding box values, allowing for precise identification and localization.

## Installation

To use ArtTracker, follow these steps:

1. Clone the ArtTracker repository to your local machine.
2. Install the required dependencies (provide details if applicable).
3. Configure the necessary settings and parameters (if any).
4. Run the ArtTracker application.

## Usage

Here's how you can use ArtTracker:

1. Start the ArtTracker application.
2. Connect the necessary input sources, such as webcams or video files.
3. Observe the real-time tracking and identification of individuals.
4. Utilize the tracked person data for further analysis or processing.

## Examples

just run it with python tracker.py
it will then try to stream from source=0 which is your webcam

## Contributing

Contributions to ArtTracker are welcome! If you encounter any bugs, have feature requests, or would like to contribute enhancements, please feel free to submit a pull request.

## License

This project is licensed under the [MIT License](LICENSE).

## Acknowledgments

Provide any acknowledgments or credits to any libraries, resources, or individuals who inspired or supported the development of ArtTracker.

## Contact

For any inquiries or feedback, please contact [Alexander Popovic](mailto:apopovic.aut@gmail.com).

## References

List any references or related resources that users may find helpful.

https://www.youtube.com/watch?v=Mi9iHFd0_Bo&t=646s&ab_channel=Roboflow

